import request from '@/utils/request';

//异常点位查询
export function getDeviceSignalTree(params:any){
  return request({
    url: '/basedata/substation-maindevice/getDeviceSignalTree' ,
    method: 'get',
    params:params
  });
}
//查询信号信息{}
export function querySignalDataById(params:any){
    return request({
      url: '/auxcontrol/device-signal/querySignalDataById' ,
      method: 'get',
      params:params
    });
  }
//分页查询变电站辅控设备告警记录
export function workpage(params:any){
    return request({
      url: '/auxcontrol/device-work-data/page' ,
      method: 'get',
      params:params
    });
  }
//查询历史曲线
export function getHistoricalCurve(params:any){
    return request({
      url: '/auxcontrol/device-work-data/getHistoricalCurve' ,
      method: 'get',
      params:params
    });
  }